com.corticon.eclipse.studio.rule.optimizer.completeness.core

## Interface ICompletenessCheckAPI

- All Superinterfaces:
    IModelAPI

      public interface ICompletenessCheckAPI
      extends IModelAPI

  The Completeness Check API provides a standardized interface to allow client programs to check for completeness within a rule set.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkForCompleteness()` Check the rule set for completeness.
    `boolean` | `clearAnalysisResults()` Clear outstanding analysis results (if any).
    `IRulesheetTableModelAPI` | `getRulesheetTableModelAPI()` Method to get and capture Rulesheet API instance.
    `boolean` | `isEnabledCheckForCompleteness()` Determine if check for completeness function is enabled.
    `boolean` | `isEnabledClearAnalysisResults()` Determine whether clear analysis results function is enabled.
    `void` | `setRulesheetTableModelAPI(IRulesheetTableModelAPI aIRulesheetTableModelAPI)` Setter for Rulesheet table model API.

    - ### Methods inherited from interface com.corticon.eclipse.core.IModelAPI

      `activate, addAnnotation, addBatchedModelListener, addLowLevelModelListener, addModelListener, addResourceListener, addView, beginTransaction, cancelTransaction, canSetSupportedLocales, closeResource, createResource, deleteAnnotation, deleteAnnotation, deleteAnnotation, deleteResource, displayMessageBox, dispose, doPostLoadValidation, doSmartValidation, endTransaction, endTransaction, flushCommandStack, formatValidationMessageLocation, formatValidationMessageText, getAllLocalesProvidingCompleteLocalization, getAnnotation, getAnnotations, getAnnotations, getAnnotations, getAPIContextObject, getAsset, getBaseAttribute, getBaseAttributeString, getBatchedModelListeners, getBuildNumber, getBuildNumberOfLastValidationRulesChange, getEditingDomain, getErrors, getErrors, getIndexByLocale, getLocale, getLocalizedAttribute, getLocalizedAttributeString, getLowLevelModelListeners, getMajorServiceNumber, getMajorVersionNumber, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getMinorServiceNumber, getMinorVersionNumber, getModelAPIState, getModelListeners, getNewResourceName, getPersistenceServicesDelegate, getPreferences, getPrimaryResource, getPrimaryResourceURI, getScrollableMessageDelegate, getSupportedLocales, getSuppressBrokenLinkValidation, getSuppressValidation, getToolTip, getUpdateStamp, getUserInterfaceInfoDelegate, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessages, getValidationMessages, getWarnings, getWarnings, handleException, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, isAPIStateEstablished, isEnabledRedo, isEnabledUndo, isInhibitNotification, isLoaded, isOperationModeNormal, isOperationModeRedo, isOperationModeUndo, isPassive, isPostLoadInProgress, isPrimaryResourceSet, isReadOnly, isResourceActivated, isResourceConflict, isResourceDemandLoaded, isResourceLoaded, isScrollableMessageDelegateAvailable, isShowCanonicalValidationMessages, isSuppressModifiedFlagUpdates, isSuppressPostLoad, isTransactionInProgress, isValid, isValid, loadResource, loadResource, loadResource, newInstance, noOperation, postLoad, postMethod, postMethod, postsave, preMethod, presave, redo, reloadResource, remapResource, remapResource, removeBatchedModelListener, removeLowLevelModelListener, removeModelListener, removeResource, removeResourceListener, removeView, renameResource, rollbackTransaction, saveAll, saveResource, setAnnotation, setAPIContextObject, setAPIState, setBuildNumber, setEditingDomain, setInhibitNotification, setLocale, setMajorServiceNumber, setMajorVersionNumber, setMessageBoxDelegate, setMinorServiceNumber, setMinorVersionNumber, setModelAPIState, setModelListeners, setPassive, setPersistenceServicesDelegate, setPostLoadInProgress, setPreferencesDelegate, setPrimaryResource, setReadOnly, setScrollableMessageDelegate, setSupportedLocales, setSuppressBrokenLinkValidation, setSuppressModifiedFlagUpdates, setSuppressPostLoad, setSuppressValidation, setUserInterfaceInfoDelegate, undo, unloadResource, validate, validateLicense`

- - ### Method Detail

    - #### checkForCompleteness

          boolean checkForCompleteness()

      Check the rule set for completeness.
      Returns:
        `true` if completeness check was successful.

    - #### isEnabledCheckForCompleteness

          boolean isEnabledCheckForCompleteness()

      Determine if check for completeness function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledClearAnalysisResults

          boolean isEnabledClearAnalysisResults()

      Determine whether clear analysis results function is enabled.
      Returns:
        `true` if function should be enabled.

    - #### clearAnalysisResults

          boolean clearAnalysisResults()

      Clear outstanding analysis results (if any).
      Returns:
        `true` if the command was successful.

    - #### getRulesheetTableModelAPI

          IRulesheetTableModelAPI getRulesheetTableModelAPI()

      Method to get and capture Rulesheet API instance.
      Returns:
        Rulesheet API instance.

    - #### setRulesheetTableModelAPI

          void setRulesheetTableModelAPI(IRulesheetTableModelAPI aIRulesheetTableModelAPI)

      Setter for Rulesheet table model API.
      Parameters:
        `aIRulesheetTableModelAPI` - Rulesheet table model API.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.